# Configuration

{% hint style="warning" %}
The Application.cfc must not be changed, otherwise the system can no longer be updated.
{% endhint %}

The `config.cfm` is **the first file you need to revise and modify**. You will find a template of this file in the `configs` folder. When not already done, copy this file into the root directory and rename it to `config.cfm`. Now you can adapt your data according to your needs.

## Available variables

This table shows the available variables and what they do:

<table><thead><tr><th width="232">Variables</th><th width="499.33333333333326">Description</th></tr></thead><tbody><tr><td>datasource</td><td>Name of datasource in Lucee</td></tr><tr><td>environment</td><td>Sets the environment where the application is currently running in. You can use "prod" or "dev".</td></tr><tr><td>mainURL</td><td>The full URL of your live project<br>(incl. http:// or https://)</td></tr><tr><td>schedulePassword</td><td>Password for scheduled tasks</td></tr><tr><td>applicationname</td><td>The name of your application.cfc</td></tr><tr><td>sessiontimeout</td><td>Set sessiontimout with "createTimespan()"</td></tr><tr><td>pdf_type</td><td>Set the pdf_type. You can use "modern" or "classic" for lucee pdf print</td></tr><tr><td>requesttimeout</td><td>RequestTimeout in seconds</td></tr><tr><td>imageFileTypes</td><td>Set allowed image file types</td></tr><tr><td>documentsFileTypes</td><td>Set allowed document file types</td></tr><tr><td>apiSecret</td><td>Secret, which is used to create the access tokens.</td></tr><tr><td>apiReloadPassword</td><td>Password that is used to reinit the API. (See taffy <a href="https://docs.taffy.io/#/3.5.0?id=reloadpassword">documentation</a>)</td></tr><tr><td>appName</td><td>Any name you like</td></tr><tr><td>appOwner</td><td>Enter the name of the operator (Your company)</td></tr><tr><td>fromEmail</td><td>Mail address from which the system should send mails from</td></tr><tr><td>toEmail</td><td>Enter the email address of the administrator</td></tr><tr><td>errorEmail</td><td>Enter an email address for error messages</td></tr><tr><td>usersIP<br><em>(Dev environment only)</em></td><td>To simulate a customer in local environment, enter a public IP address here</td></tr><tr><td>payrexxAPIurl</td><td>The basic URL to the Payrexx API</td></tr><tr><td>payrexxAPIinstance</td><td>Your personal Payrexx instance</td></tr><tr><td>payrexxAPIkey</td><td>Your API key from Payrexx</td></tr><tr><td>payrexxDesignID</td><td>Look and feel of your payment page <br>(id from Payrexx)</td></tr><tr><td>payrexxWebhookDev<br><em>(Dev environment only)</em></td><td>Webhook directory for developing environment</td></tr><tr><td>payrexxWebhookPassword</td><td>The webhook password that is specified in the url variable</td></tr><tr><td>payrexxPSPs</td><td>PSP IDs <br>(comma separated list without spaces)</td></tr><tr><td>footerText</td><td>The text in the footer of every page in Saaster (backend)</td></tr><tr><td>Email settings</td><td>Have a look to the config.cfm</td></tr></tbody></table>

## Payrexx related variables

Payrexx is a [Swiss Payment Service Provider](https://www.payrexx.com/?ref=paweco) and is subject to Swiss quality control. And anyone who knows Switzerland knows how important that is. Check out our documentation how to setup Payrexx in saaster:

{% content-ref url="/pages/tczI7BFngc2UrStSyILw" %}
[Payment Service Provider](/fundementals/payment-service-provider.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.saaster.io/getting-started/configuration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
